Bug 1063746 - PYTHON-SDK: regression in login behaviour
Summary: PYTHON-SDK: regression in login behaviour
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-sdk
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4.0
Assignee: Juan Hernández
QA Contact: Ilia Meerovich
URL:
Whiteboard: infra
Depends On:
Blocks: 1024889
TreeView+ depends on / blocked
 
Reported: 2014-02-11 11:30 UTC by Ilia Meerovich
Modified: 2016-07-05 00:06 UTC (History)
7 users (show)

Fixed In Version: ovirt-engine-sdk-python-3.4.0.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 12:29:48 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 24316 0 None None None Never
oVirt gerrit 24317 0 None None None Never

Description Ilia Meerovich 2014-02-11 11:30:38 UTC
When API URI with '/' at the is used (as it was used with previous releases),
ovirt-shell login works but ovirt-shell itself useless.
If I'm working with '/' at the of URI everything is working ok.
1. It is regression in behaviour
2. If ovirt-shell supposed to get URI without '/' at the end so why it accepts it?


imeerovi@imeerovi ~ $ ovirt-shell 
 =========================================================================================================================================================================================================================================
                                                                                                    >>> connected to oVirt manager 3.4.0.0 <<<
  =========================================================================================================================================================================================================================================

  +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

                                                                                                           Welcome to oVirt shell

  +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


[oVirt shell (connected)]# add datacenter --storage_type 'nfs' --version-major 3 --version-minor 4 --name 'DefaultRest' --expect '201-created' > /tmp/cli_output.tmp
  ================================================================================================================== ERROR ================================================================================================================
  status: 404
  reason: Not Found
  detail: HTTP Status 404 - Could not find resource for relative : //datacenters of full path: https://ilia-rhevm.qa.lab.tlv.redhat.com/api//datacenters
  =========================================================================================================================================================================================================================================

[oVirt shell (connected)]# exit


  =========================================================================================================================================================================================================================================
                                                                                                   >>> disconnected from oVirt manager <<<
  =========================================================================================================================================================================================================================================

imeerovi@imeerovi ~ $ cat .ovirtshellrc 
[cli]
autoconnect = True
autopage = False
[ovirt-shell]
username = vdcadmin@qa.lab.tlv.redhat.com
timeout = None
extended_prompt = False
url = https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/
insecure = True
renew_session = False
filter = False
session_timeout = None
ca_file = None
dont_validate_cert_chain = False
key_file = None
password = 123456
cert_file = None
imeerovi@imeerovi ~ $ rpm -qa | grep ovirt
ovirt-engine-sdk-python-3.4.0.3-1.el6.noarch
ovirt-engine-sdk-java-3.4.0.3-1.el6.noarch
ovirt-engine-sdk-java-javadoc-3.4.0.3-1.el6.noarch
ovirt-engine-cli-3.4.0.3-1.el6.noarch
imeerovi@imeerovi ~ $

Comment 1 Juan Hernández 2014-02-11 12:02:05 UTC
The change has been merged to the master and 3.4 branches of the SDK. The fix will be available in the next release.

Comment 2 Juan Hernández 2014-02-18 13:57:08 UTC
The packages containing the fix for this issue are available here:

http://jhernand.fedorapeople.org/rpms/ovirt-engine-sdk-python/3.4.0.4-1

Comment 3 Ilia Meerovich 2014-02-19 08:55:38 UTC
verified with:
ovirt-engine-cli-3.4.0.4-1.el6.noarch
ovirt-engine-sdk-python-3.4.0.4-1.el6.noarch

Comment 4 Sandro Bonazzola 2014-03-31 12:29:48 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.